\name{NcDataReader}
\alias{NcDataReader}
\title{NetCDF File Data Reader for 'startR'}
\description{
This is a data reader function for NetCDF files, intended for use as parameter \code{file_data_reader} in a call to the function \code{Start()} in the package 'startR'. This function complies with the input/output interface required by \code{Start()} defined in the documentation for the parameter \code{file_data_reader} of that function.
\cr\cr
This function uses the function \code{NcToArray()} in the package 'easyNCDF', which in turn uses \code{nc_var_get()} in the package 'ncdf4'.
}
\usage{
NcDataReader(file_path = NULL, file_object = NULL, file_selectors = NULL, 
             inner_indices = NULL, synonims)
}
\arguments{
  \item{file_path}{
Character string with the path to the data file to read. See details in the documentation of the parameter \code{file_data_reader} of the function \code{Start()}.
  }
  \item{file_object}{
Open connection to a NetCDF file, optionally with additional header information. See details in the documentation of the parameter \code{file_data_reader} of the function \code{Start()}.
  }
  \item{file_selectors}{
Information on the path of the file to read data from. See details in the documentation of the parameter \code{file_data_reader} of the function \code{Start()}.
  }
  \item{inner_indices}{
Named list with the numeric indices to take from each of the inner dimensions in the requested file. See details in the documentation of the parameter \code{file_data_reader} of the function \code{Start()}.
  }
  \item{synonims}{
Named list with synonims for the dimension names to look for in the requested file, exactly as provided in the parameter \code{synonims} in a call to the function \code{Start()}. See details in the documentation of the parameter \code{file_data_reader} of the function \code{Start()}.
  }
}
\value{
A multidimensional data array with the named dimensions and indices requested in \code{inner_indices}, potentially with the attribute 'variables' with additional auxiliary data. See details in the documentation of the parameter \code{file_data_reader} of the function \code{Start()}.
}
\author{
History:\cr
0.0  -  2017-04  (N. Manubens, \email{nicolau.manubens at bsc.es})  -  Original code
}
\seealso{
\code{\link{NcOpener}}, \code{\link{NcCloser}}, \code{\link{NcDimReader}}, \code{\link{NcVarReader}}
}
\examples{
## Check https://earth.bsc.es/gitlab/es/startR for step-by-step examples 
## of Start() that use NcDataReader().
}
\keyword{IO}
\keyword{array}
\keyword{manip}
